This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | PImage
Name | ### set()
Examples |
    PImage tower;

    void setup() {
      size(100, 100);
      tower = loadImage("tower.jpg");
      color black = color(0);
      tower.set(30, 20, black);
      tower.set(85, 20, black);
      tower.set(85, 75, black);
      tower.set(30, 75, black);
    }

    void draw() {
      image(tower, 0, 0);
    }
Description | Changes the color of any pixel or writes an image directly into the display window. The x and y parameters specify the pixel to change and the color parameter specifies the color value. The color parameter is affected by the current color mode (the default is RGB values from 0 to 255). When setting an image, the x and y parameters define the coordinates for the upper-left corner of the image, regardless of the current imageMode(). Setting the color of a single pixel with set(x, y) is easy, but not as fast as putting the data directly into pixels[]. The equivalent statement to set(x, y, #000000) using pixels[] is pixels[y*width+x] = #000000. See the reference for pixels[] for more information.
Syntax |
    pimg.set(x, y, c)
    pimg.set(x, y, img)
Parameters |
pimg | PImage: any object of type PImage
x | int: x-coordinate of the pixel
y | int: y-coordinate of the pixel
c | int: any value of the color datatype
img | PImage: image to copy into the original image
Returns | void
Related | get() pixels[] copy()

Updated on October 26, 2013 08:58:32pm PDT